import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type OllamaOptions = BaseChatOptions;

/**
 * 自定义模型
 */
export class Custom extends BaseChat {
  constructor(options: OllamaOptions) {
    const baseURL = options.baseURL || 'https://api.deepseek.com/v1/';
    super({ ...(options as BaseChatOptions), baseURL: baseURL });
  }
}
