import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type DeepSeekOptions = Partial<BaseChatOptions>;
export class DeepSeek extends BaseChat {
  constructor(options: DeepSeekOptions) {
    const baseURL = options.baseURL || 'https://api.deepseek.com/v1/';
    super({ ...(options as BaseChatOptions), baseURL: baseURL });
  }
}
