// https://api-inference.modelscope.cn/v1/
import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type ModelScopeOptions = Partial<BaseChatOptions>;
export class ModelScope extends BaseChat {
  constructor(options: ModelScopeOptions) {
    const baseURL = options.baseURL || 'https://api-inference.modelscope.cn/v1/';
    super({ ...options, baseURL: baseURL } as any);
  }
}
