import { SiliconFlow } from '../../provider/chat-adapter/siliconflow.ts';
import dotenv from 'dotenv';

dotenv.config();
const siliconflow = new SiliconFlow({
  apiKey: process.env.SILICONFLOW_API_KEY,
  model: 'Qwen/Qwen2-7B-Instruct',
});

const main = async () => {
  const usage = await siliconflow.getUsage();
  console.log(usage);
};

main();
