import { useContextKey } from '@kevisual/use-config/context';
import { Redis } from 'ioredis';
export const redis = useContextKey('redis', () => {
  const redis = new Redis({
    host: 'localhost',
    port: 6379,
  });
  return redis;
});

const checkConnection = async () => {
  const res = await redis.ping();
  console.log('redis ping', res);
};

// checkConnection();
