import { BaseChat } from '../provider/index.ts';
import { Knowledge } from '../provider/knowledge/knowledge-base.ts';
const chat = new BaseChat({
  baseURL: 'https://ollama.xiongxiao.me/v1',
  apiKey: '',
  model: 'qwq:latest',
  stream: false,
  isBrowser: true,
});

// chat.chat([{ role: 'user', content: 'Hello, world!' }]);

const main = async () => {
  const res = await chat.test();
};

// main();
// @ts-ignore
window.main = main;

const knowledge = new Knowledge({
  embeddingModel: 'bge-m3:latest',
  baseURL: 'https://ollama.xiongxiao.me/v1',
  model: 'qwq:latest',
  apiKey: '',
  isBrowser: true,
});

const createEmbedding = async () => {
  const res = await knowledge.generateEmbeddingCore('Hello, world! this is a test');
  console.log('res', res.data[0].embedding.length);
  console.log(res);
};

// createEmbedding();
// @ts-ignore
window.createEmbedding = createEmbedding;